Subject: Re: problem with batch files.
From: [email-masked] (Earnie Boyd)

21 Jan 1998 01:26:26 -0800
Message-ID: <[email-masked]>
Content-Type: text/plain
To: [email-masked]
Cc: [email-masked]

1) Mount you directories as text=binary.
2) Remove the \r from the line terminator in your batch file.

-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

Check out these great gnu-win32 related sites:
ftp://ftp.cygnus.com/pub/gnu-win32/latest/           (ftp site)
http://www.cygnus.com/pubs/gnupro/                   (Comercial Page)
http://www.cygnus.com/misc/gnu-win32/                (Project Page)
http://www.cygnus.com/ml/gnu-win32                   (Mail Archives)
http://www.itribe.net/virtunix/winhelp-man-pages/    (HTML Man Pages)
http://www.lexa.ru/sos                               (Sergey Okhapkin)
ftp://www.lexa.ru/pub/domestic/sos/                (Sergey's ftp site)
http://www.fu.is.saga-u.ac.jp/~colin/gcc.html        (Colin Peters)
http://www.xraylith.wisc.edu/~khan/software/gnu-win32/ (Mumit Khan)
http://gnu-win32.paranoia.ru                   (Chuck Bogorad's ports)
ftp://ftp.deninc.com/pub (Den Internet Services - US mirror and ports)
http://www.bestweb.net/~aka/gnu-win32/  (GNU-Win32 Bash Configuration)

>Date: Wed, 14 Jan 1998 14:21:43 +0100
>From: Olivier Cuisenaire <[email-masked]>
>To: "[email-masked]" <[email-masked]>
>Subject: problem with batch files.
>
>When I try to this very simple file (named coco):
>
>#!/bin/sh
>#
>ls
>echo hello
>
>I receive, after the result of the ls command, the following error:
>
>coco: o: command not found
>
>The problem being that it seems to delete the first three characters of 
the
>last line leaving only "o hello". This diagnosis is confirmed by the 
fact
>inserting any three characters at the beginning of this line will solve 
the
>problem, while inserting one or two characters give the errors "ho: 
command
>not found" and "cho: command not found" respectively.
>
>This is very discturbing when using more complex batch files (I 
actually
>would like to use the configure file to install lesstif)
>
>Is this a known bug for which a patch exists ? (I'm currently using
>sh-2.01, sergey's patch)
>
>Thanks.
>
>Olivier
>
>-- Olivier Cuisenaire, Ph. D. student --
>
>     " Whenever you find yourself on the side of the 
>       majority, it is time to pause and reflect. "
>
>                                   Mark Twain
>-
>For help on using this list (especially unsubscribing), send a message 
to
>"[email-masked]" with one line of text: "help".
>

______________________________________________________
Get Your Private, Free Email at http://www.hotmail.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".